Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class RepositoryConfiguration.Component

    java.lang.Object
      org.modeshape.jcr.RepositoryConfiguration.Component

Enclosing class:
  RepositoryConfiguration

    @Immutable
    public class RepositoryConfiguration.Component

extends Object

Constructor Summary
`protected` | `RepositoryConfiguration.Component(String name, String classname, String classpath, Document document)`

Method Summary
`
`<Type> Type`
` | `createInstance(ClassLoader fallbackLoader)` Create an instance of this class.
`boolean` | `equals(Object obj)`
`String` | `getClassname()`
`String` | `getClasspath()`
`Document` | `getDocument()`
`String` | `getName()` Get the component's name.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryConfiguration.Component

    protected RepositoryConfiguration.Component(String name,
                                                String classname,
                                                String classpath,
                                                Document document)

Method Detail

### getName

    public String getName()

  Get the component's name.

  Returns:
    the name of this component; never null

### getClassname

    public String getClassname()

  Returns:
    classname

### getClasspath

    public String getClasspath()

  Returns:
    classpath

### getDocument

    public Document getDocument()

  Returns:
    document

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### createInstance

    public <Type> Type createInstance(ClassLoader fallbackLoader)
                        throws Exception

  Create an instance of this class.

  Type Parameters:
    `Type` -
  Parameters:
    `fallbackLoader` - the fallback class loader that should be used for `Environment.getClassLoader(ClassLoader, String...)`
  Returns:
    the new instance, with all `document fields` set on it; never null
  Throws:
    `Exception` - if anything fails
  See Also:
    `getClasspath()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.